def bin_by_hice(array,hice_array,hice_bins):
    import numpy as np
    import numpy.ma as ma
    fcondtop_dists = []

    for ibin in range(len(hice_bins)-1):
        lower = hice_bins[ibin]
        upper = hice_bins[ibin+1]

        in_bin = np.where(np.logical_and(hice_array >= lower, \
              hice_array < upper))

        if in_bin[0].shape[0] > 0:
            fcondtop_dist = array[in_bin]
        else:
            fcondtop_dist = ma.masked_array(np.zeros(1),mask=np.ones(1,dtype='bool'))

        if ma.is_masked(fcondtop_dist):
            nma = np.where(fcondtop_dist.mask != True)
            if nma[0].shape[0] > 0:
                fcondtop_dist = fcondtop_dist[nma]
    
            fcondtop_dist.fill_value = 1.e20
    
        fcondtop_dists.append(fcondtop_dist)
    
    plot_index = np.where(np.array(
        [False in dist.mask for dist in fcondtop_dists]))

    return (fcondtop_dists, plot_index)
